> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Article by Slug

> Get Article by Slug.

Octavia AI CMS supports **multi-language content delivery**.

You can specify which language to receive responses in by including the `lang` header in your API requests.


## OpenAPI

````yaml GET /articles/getBySlug/{slug}
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags: []
paths:
  /articles/getBySlug/{slug}:
    get:
      tags:
        - Articles
      summary: Get article by slug (public)
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            type: string
            example: droopy-nose
      responses:
        '200':
          description: OK
          content:
            application/json:
              example:
                success: true
                statusCode: 200
                message: OK
                data:
                  id: '{{objectId}}'
                  slug: droopy-nose
        '404':
          description: Not found
          content:
            application/json:
              example:
                success: false
                statusCode: 404
                message: Not found
                data: null
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````